// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	models "gitlab.com/nikita.morozov/bot-ms-core/models"
)

// ActionUsecase is an autogenerated mock type for the ActionUsecase type
type ActionUsecase struct {
	mock.Mock
}

// Count provides a mock function with given fields:
func (_m *ActionUsecase) Count() (uint64, error) {
	ret := _m.Called()

	var r0 uint64
	if rf, ok := ret.Get(0).(func() uint64); ok {
		r0 = rf()
	} else {
		r0 = ret.Get(0).(uint64)
	}

	var r1 error
	if rf, ok := ret.Get(1).(func() error); ok {
		r1 = rf()
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Create provides a mock function with given fields: item
func (_m *ActionUsecase) Create(item *models.Action) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.Action) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Delete provides a mock function with given fields: id
func (_m *ActionUsecase) Delete(id uint) error {
	ret := _m.Called(id)

	var r0 error
	if rf, ok := ret.Get(0).(func(uint) error); ok {
		r0 = rf(id)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Execute provides a mock function with given fields: action, params
func (_m *ActionUsecase) Execute(action *models.Action, params models.NodeParams) models.NodeData {
	ret := _m.Called(action, params)

	var r0 models.NodeData
	if rf, ok := ret.Get(0).(func(*models.Action, models.NodeParams) models.NodeData); ok {
		r0 = rf(action, params)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(models.NodeData)
		}
	}

	return r0
}

// Get provides a mock function with given fields: id
func (_m *ActionUsecase) Get(id uint) (*models.Action, error) {
	ret := _m.Called(id)

	var r0 *models.Action
	if rf, ok := ret.Get(0).(func(uint) *models.Action); ok {
		r0 = rf(id)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.Action)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(uint) error); ok {
		r1 = rf(id)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// List provides a mock function with given fields:
func (_m *ActionUsecase) List() (*[]models.Action, error) {
	ret := _m.Called()

	var r0 *[]models.Action
	if rf, ok := ret.Get(0).(func() *[]models.Action); ok {
		r0 = rf()
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*[]models.Action)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func() error); ok {
		r1 = rf()
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Update provides a mock function with given fields: item
func (_m *ActionUsecase) Update(item *models.Action) error {
	ret := _m.Called(item)

	var r0 error
	if rf, ok := ret.Get(0).(func(*models.Action) error); ok {
		r0 = rf(item)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
